# ezQuake Manual: Screen Settings Variables

## cl_clock

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
0 | Off.
1 | Shows the time you spent on server (you'll also see it in the status bar when you press TAB).
2 | Shows the time of day.

## cl_clock_x

### Description

Horizontal coordinates of the clock.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

## cl_clock_y

### Description

Vertical coordinates of the clock. If < 0, the coordinates are calculated from bottom up, e.g. -1 means the screen line just above the scoreboard.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: -1

Variable is float.

## cl_confirmquit

### Description

When set to 1 you don't have to confirm the Quit screen with [Y] key.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
1 | Don't ask for confirmation on quit.
0 | Don't auto-confirm quit. Will display 'About' message box where you have to press [Y] to quit.

## cl_democlock

### Description

A clock showing how much time has elapsed since the start of the demo.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
1 | On.
0 | Off.

## cl_democlock_x

### Description

Determine where the democlock is positioned on your screen on the X co-ordinate.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

## cl_democlock_y

### Description

Determine where the democlock is positioned on your screen on the Y co-ordinate.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: -2

Variable is float.

## cl_gameclock

### Description

Displays clock with seconds on the screen.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
0 | Turned OFF
1 | Counts up from the start of the match.
2 | Counts down from the start of the match.
3 | Same as 1 but only minutes:seconds (hours are not being displayed).
4 | Same as 2 but only minutes:seconds (hours are not being displayed).

Use cl_gameclock_x and cl_gameclock_y to place it anywhere on the screen.

## cl_gameclock_x

### Description

Adjusts horizontal placement of the clock with seconds.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

See cl_gameclock for detailed info about the clock.

## cl_gameclock_y

### Description

Adjusts vertical placement of the clock with seconds.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: -3

Variable is float.

See cl_gameclock for detailed info about the clock.

## cl_hud

### Description

Enables/Disables strings-hud. Strings hud is not mqwcl hud. It gives you ability put any string (or value of some variable) on your hud.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

### Values

value | description
1 | Strings hud enabled
0 | Strings hud disabled

Strings hud banned for ruleset smackdown

## cl_multiview

### Description

This client adds a multiview component to mvd playback. Upto four views can be displayed at once. Use this variable to turn multiview on.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
0 | Multiview disabled
1 | Still no multiview but you can use cl_mvdisplayhud to show small complex hud.
2 | Two screens.
3 | Three screens.
4 | Four screens.

## cl_mvdisplayhud

### Description

Toggle drawing of small compact HUD in each screen of Multiview control.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

### Values

value | description
1 | Show compact HUD.
0 | Don't draw compact HUD.

## cl_mvinset

### Description

Turns inset screen with multitrack on/off.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
1 | Display 2nd POV inside main screen in the right top corner.
0 | Divide screen in 2/3/4 areas according to cl_multiview settings.

## cl_mvinsetcrosshair

### Description

Turn crosshair in inset POV in multiview on/off.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

### Values

value | description
1 | Display crosshair in inset POV.
0 | Do not display crosshair in inset POV.

## cl_mvinsethud

### Description

Turns inset HUD for inset POV with multiview on/off.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

### Values

value | description
1 | Display inset HUD (usually nick of tracked player).
0 | Do not display inset HUD.

## cl_shownet

### Description

This variable toggles the display of current net info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
0 | Do not display any information.
1 | Print current incoming packet size in byte.
2 | Print information about the current in coming packet and it's size.

## demo_playlist_loop

### Description

will toggle playlist looping

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
1 | will loop the demo playlist
0 | will not loop the demo playlist

## demo_playlist_track_name

### Description

will set the default track name in the demo playlist for mvd demos example: jogi, will always track the player jogi or versions of it (jogihoogi, angryjogi, etc)

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default:

Variable is float.

## draw_fps

### Description

Substitutes substitues the "time" column with a "FPS" in scores showing how much FPS each player has.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

## gl_contrast

### Description

Change contrast.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1.3

Variable is float.

## gl_gamma

### Description

Change GL gamma.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

## r_glstats

### Description

When enabled, it creates a window in the top right of the screen showing the number of particles and etc. in use.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

## r_netgraph

### Description

Setting r_netgraph 1 is a diagnostic tool to help you tweak your rate. If you find that you suffer from short pauses in the game and you see red spikes in your netgraph, you should try setting the rate down a bit. The height of the pink lines towards the bottom is your latency on received packets. Red lines are lost packets. (bad) Yellow lines are from the rate command kicking in, it's data that wasn't sent to you because you didn't have the bandwidth for it. (OK) Blue lines are very bad, they invalid delta's, and are related to the U_REMOVE warnings.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
1 | Display the netgraph.
0 | Do not display the netgraph.

If during your play, you frequently see a string of messages with the term "U_REMOVE" in them, and your play seems to freeze for serveral seconds, use the console command cl_nodelta 1. This is a slightly less efficient way for QuakeWorld to work, but if your ISP is overloaded or has some configuration problems, it may not pass packets to QuakeWorld properly and cause difficulty.

## r_netstats

### Description

Shows information about ping, packetloss, average packet size and incoming/outgoing traffic. Equivalent with 'net' HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
1 | Draw network statistics.
0 | Do not draw network statistics.

## r_speeds

### Description

Toggles the displaying of drawing time and stats of what is currently being viewed. Example: 32.7 ms 267/196/ 74 poly 3 surf 38.6 ms 267/196/ 74 poly 20 surf 60.4 ms 267/196/ 74 poly 18 surf 38.2 ms 267/196/ 73 poly 18 surf

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

## r_tracker_flags

### Description

Everytime you take, capture or drop a flag, the number of times is displayed on the screen.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

## r_tracker_frags

### Description

Everytime you make a kill or die, the number of kills/deaths/suicides with that weapon is displayed on the screen.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

## r_tracker_messages

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 10

Variable is float.

## r_tracker_streaks

### Description

Everytime a player makes a set number of consecutive kills, it will display a message showing they are on a streak, when the player is killed, it will display the name of the person who ended that streak.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

## r_tracker_time

### Description

Number of seconds the tracker information is drawn on the screen.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 4

Variable is float.
Use positive numbers.

See other 'r_tracker_*' variables too.

## scr_autoid

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
1 | Show players nick as spectator.
0 | Hide players nick as spectator.

## scr_centerMenu

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

### Values

value | description
1 | Centers the menu vertically (has no effect if you're playing in 320x200 mode, same applies to scr_centersbar).
0 | Off.

## scr_centershift

### Description

Shifts all centerprints. If you are playing in 1280x1024 and want to watch some demo recorded in 320x200 with +wp_stats (ktpro) or sbar_on (teamfortress) you can shift that text down.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is integer.
Values from -999 to 999 are possible.

## scr_centertime

### Description

This variable sets the amount of time in seconds that centerprinted messages stay on the screen.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 2

### Values

value | description
0 | Do not display any centerprints.
1 | Display centerprints for 1 second.
2 | Display centerprints for 2 seconds.

## scr_coloredText

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

### Values

value | description
1 | Enable rainbow spectator text on the scoreboard.
0 | Disable rainbow spectator text on the scoreboard.

## scr_menualpha

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0.7

### Values

value | description
1 | Black mainmenu.
0 | Transparent mainmenu.

## scr_scaleMenu

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

### Values

value | description
1 | Scales the frontend menu to match the resolution you are using.
0 | Disable scaling.

## scr_spectatorMessage

### Description

Switch on/off text at bottom of screen when spectateing in free mode

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

### Values

value | description
1 | Text at bottom of screen will be displayed
0 | No text at bottom of screen will be displayed

/------------------------------\ |SPECTATOR MODE | |Press [ATTACK] for AutoCamera | \------------------------------/

## scr_tracking

### Description

Changes the format of descriptive text displayed when you are tracking someone as spectator or watching a demo where you can see player's team and name.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: Tracking %t %n, [JUMP] for next

Variable is string.
Pattern %n will be replaced with tracked player's name, %t will be replaced with player's team.

This variable affects scr_newhud 0. To change same text in new HUD (scr_newhud 1) use /tracking format (hud_tracking_format) settings.

## showdrop

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
1 | Enable output how dropped packets.
0 | Disable output how dropped packets.

## showpackets

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
1 | Display information about all network packets.
0 | Do not display information about all network packets.

## showpause

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

### Values

value | description
1 | Display that the pause icon is displayed when the game is paused.
0 | Never display the pause icon.

## showram

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

### Values

value | description
1 | Display the ram icon when running out of memory
0 | Never display the ram icon

## showturtle

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
1 | Display the turtle icon when your frame rate drops below 10.
0 | Never display the turtle icon.

## show_fps

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
1 | Enables the display of the frames-per-second value.
0 | Disables the display of the frames-per-second value.

## show_fps_x

### Description

Determine where the show_fps is positioned on your screen on the X co-ordinate.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: -5

Variable is float.

## show_fps_y

### Description

Determine where the show_fps is positioned on your screen on the Y co-ordinate.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: -1

Variable is float.

## show_speed

### Description

Displays a speed counter in the top right corner in the client's units (Horizontal velocity). (320 - Normal walking speed, 440 - Accel jump, 450 - Bunnyhopping)

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
0 | Off.
1 | More accurate counter (Best used when LPB).
2 | Predicted speed (Less laggy when HPB).

## show_speed_x

### Description

Determine where the show_speed is positioned on your screen on the X co-ordinate.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: -1

Variable is float.

## show_speed_y

### Description

Determine where the show_speed is positioned on your screen on the Y co-ordinate.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

## sw_contrast

### Description

Change contrast.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

## sw_gamma

### Description

Change gamma.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

Last update: 09.11.2005 02:15 PST, made by JohnNy_cz